Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class TieFamilyCapabilities

    java.lang.Object
      oracle.ifs.beans.PublicObjectCapabilities
          oracle.ifs.beans.TiePublicObjectCapabilities
              oracle.ifs.beans.FamilyCapabilities
                  oracle.ifs.beans.TieFamilyCapabilities

    public class TieFamilyCapabilities

extends FamilyCapabilities

Subclass of PublicObjectCapabilities with specific capability checking overrides for the FAMILY classobject.

(Published)

Constructor Summary
`TieFamilyCapabilities(PublicObject object)` Creates a new FamilyCapabilities instance.

Method Summary

Methods inherited from class oracle.ifs.beans.FamilyCapabilities
`DELETE`

Methods inherited from class oracle.ifs.beans.PublicObjectCapabilities
`ADDITEM, ADDVERSION, ADMINISTER_CATEGORY, ADMINISTER_CONFIGURATION, ADMINISTER_CONTAINER, ADMINISTER_DOMAIN, ADMINISTER_LOCK, ADMINISTER_QUOTA, ADMINISTER_RECORD, ADMINISTER_ROLE, ADMINISTER_SECURITY, ADMINISTER_USER, ADMINISTER_WORKSPACE, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, COPY, CREATECONTAINER, CREATEFOLDER, CREATEWORKSPACE, DISCOVER, GET_CONTENT, GETAUDITHISTORY, getCapabilities, GETMETADATA, GETRELATION, getTrackedObject, LOCK, MOVE, SET_ATTR, SET_CONTENT, SETMETADATA, SETRELATION, verifyCapabilities, verifyCapability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieFamilyCapabilities

    public TieFamilyCapabilities(PublicObject object)

  Creates a new FamilyCapabilities instance.

  Parameters:
    `object` - the PublicObject (Family subclass) for which capabilities are tracked.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD